controllers/EntradasController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Entradas;
use app\models\EntradasSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EntradasController implements the CRUD actions for Entradas model.
 */
class EntradasController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Entradas models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new EntradasSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Entradas model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Entradas model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Entradas();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Entradas model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Entradas model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Entradas model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Entradas the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Entradas::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException(Yii::t('app', 'The requested page does not exist.'));
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\web\Controller;
use yii\filters\VerbFilter;
use app\models\Entradas;
use yii\data\ActiveDataPRovider;


class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }


    public function actionListar() // Listar registros completos, devueltos como arrays no numericos
    {
        $listado = Entradas::find()->asArray()->all();

        return $this->render("listarTodos", [
            'datos' => $listado,
        ]);

    }

    public function actionListar1() // Listar registros completos, devueltos como objetos modelo
    {
        $listado = Entradas::find()->all();

        return $this->render("listarTodos", [
            'datos' => $listado,
        ]);

    }

    public function actionListar2() // Listar campos seleccionados, devueltos como array no numerico
    {
        $listado = Entradas::find()->select(['texto'])->asArray()->all();

        return $this->render("listarTodos", [
            'datos' => $listado,
        ]);

    }

    public function actionListar3() // Listar campos seleccionados, devueltos como objetos modelo
    {
        $listado = Entradas::find()->select(['texto'])->all();

        return $this->render("listarTodos", [
            'datos' => $listado,
        ]);

    }

    public function actionListar4() // Listar todo, mediante el metodo find en vez de método de clase
    {
	$e = new Entradas();

        return $this->render("listarTodos", [
            'datos' => $e->find()->all(),
        ]);

    }

    public function actionListar5() // Listar uno (con id = 1), mediante el metodo find en vez de método de clase
    {
	$e = new Entradas();

        return $this->render("listarTodos", [
            'datos' => $e->findOne(1),
        ]);

    }

    public function actionListar6() // Mostrar un listado, ejecutando una query completa tal cual
    {
	$query = Yii::$app->db->createCommand("SELECT * FROM `entradas`");

        return $this->render("listarTodos", [
            'datos' => $query->queryAll(),
        ]);

    }

    public function actionMostrar()
    {
        $dataProviderEntradas = new ActiveDataProvider([
            'query' => Entradas::find(),
        ]);

        return $this->render('mostrar',  [
            'dataProvider' => $dataProviderEntradas,
        ]);
    }

    public function actionMostraruno($id = null)
    {
        if ( empty($id) )  {
            $linklist = [];
            foreach(Entradas::find()->select(['id'])->asArray()->all() as $element)
                $linklist[] = [
                    'texto' => $element['id'],
                    'url' => "?id=".$element['id'],
                ];

	    return $this->render("listaenlaces", [
                'enlaces' => $linklist,
            ]);
        };


        $modelo = Entradas::findOne($id);

	if ($modelo == null) {
            return $this->render("listarTodos", [
                'datos' => ['No encontrado / no existe (tramposillo ^_-).'],
            ]);
	};


        return $this->render('mostraruno', [
            'model' => $modelo,
        ]);
    }


}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => /*navbar-inverse*/ 'navbar-default navbar-fixed-top',
            'id' => 'custom-bootstrap-menu',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Listados', 'items' => [
                ['label' => 'Completos como Arrays',  'url' => ['/site/listar']],
                ['label' => 'Completos como Modelos', 'url' => ['/site/listar1']],
                ['label' => 'Parciales como Arrays',  'url' => ['/site/listar2']],
                ['label' => 'Parciales como Modelos', 'url' => ['/site/listar3']],

                ['label' => 'Método no estático',     'url' => ['/site/listar4']],
                ['label' => 'Listar ID 1',            'url' => ['/site/listar5']],
                ['label' => 'Query SQL',              'url' => ['/site/listar6']],
            ]],
            ['label' => 'Mostrar', 'url' => ['/site/mostrar']],
            ['label' => 'Detalles', 'url' => ['/site/mostraruno']],
            ['label' => 'Gestión', 'url' => ['/entradas/index']],

        ],
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Rubén Martínez</p>
        <p class="pull-right">&copy; Alpe Formación <?= date('Y') ?> <?= Yii::powered() ?></p>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>